Subject: bug#28242: Batch mode compiling: Error messages are displayed with "invalid character" glyph bounding symbols.

From: Paul Eggert <[email-masked]>
Date: Sun, 27 Aug 2017 09:46:32 -0700

Eli Zaretskii wrote:
> is it possible to use for this purpose a technique similar to
> what you coded in calculate_glyph_code_table?  That is, call that
> special ioctl function, then look in the mapping it returns for the
> curly quote characters, and if they aren't there, reset
> text_quoting_flag?  Would that work?

Although it might work if Emacs is run directly from a Linux console, I doubt 
whether it'd work in general. The ioctl needs a file descriptor, and which file 
descriptor should Emacs try? Stdout? Stderr? What if the output of Emacs is 
being sent to a file or pipe, and some other program later displays the text?

I'd like to see what GCC does before worrying about this too much. Also I'd like 
to know why Alan sometimes sees block squares and sometimes diagonal lines.